<?php session_start();
//RESTRICCIÓN DE ACCESO A TRABAJADOR (ACCESO INDIVIDUAL) 
if (isset($_SESSION['tipousuario'])) {
	if ($_SESSION['tipousuario'] == '1')
		header('location:menu_personal.php');
}
if (trim($_SESSION['nombre_validar']) == '') header('location:index.php');
include("fphp.php");
include("calendario/calendario.php");
set_time_limit(30000);
$enlace = cargar_conexion();
$consulta = mysqli_query($enlace, "select * from periodo where id='" . $_SESSION['id_validar'] . "' order by nomina,periodo desc limit 1");
if (mysqli_num_rows($consulta) != 0) {
	$row = mysqli_fetch_array($consulta);
	$per = mostrar_fecha($row['desde']) . ' al ' . mostrar_fecha($row['hasta']) . " (Nom:" . $row['nomina'] . ")";
} else $per = '';
menu();

echo "<b>Opciones:</b>	
&nbsp;&nbsp;<img border = 0 src='images/b_regresa.png' alt='Regresar'>:<a href='archivo_trabajador_chequeo.php?'>Regresar</a>
</font><hr>";
echo "<h2>Bajar el Chequeo del Trabajador de Otras Empresas</h2>";

///////////////////////////////////////////////// actualizar registros  ////////////////////////////////////////////////////////////////
if ($_POST['graba'] == 1) {
	mysqli_close($enlace);
	$enlace = cargar_conexion(); # BUG Esta función se llamaba, cargar_conexion_padrino
	$resultado = mysqli_query($enlace, "select * from chequeo where status=0 order by fecha") or die(mysqli_error($enlace));
	$nada = mysqli_query($enlace, "update chequeo set status=1 where status=0") or die(mysqli_error($enlace));
	mysqli_close($enlace);
	$sientro = 0;
	$enlace = cargar_conexion();
	while ($row1 = mysqli_fetch_array($resultado)) {
		$sientro = 1;
		$resultadox = mysqli_query($enlace, "insert into chequeo (codigo,fecha,id) values ('" . $row1['codigo'] . "','" . $row1['fecha'] . "',1)");
	}
	mysqli_close($enlace);
	if ($sientro == 1) $entro = 'Chequeo Cargado...verifique';
	else $entro = 'No hay Chequeo pendiente por cargar...';
}

///////////////////////////////////////////////// mostrar entrada de datos  ////////////////////////////////////////////////////////////////
echo "<form name = 'entrada' action = '" . $_SERVER['PHP_SELF'] . "' method = 'POST'  enctype='multipart/form-data'>";
echo "<input type = 'hidden' name = 'graba' value = '1'>";
echo "<table border=0  align = 'center'>";
echo "<tr><td><input type = 'submit' value = 'Bajar Chequeo'></td></tr>";
echo "<tr><td>" . $entro . "</td></tr>";
echo "</table>";
echo "</form>";
echo "</body>";
echo "</html>";
